<p align="center">
<img src="./.github/logo.svg" width="500px" alt="NeoFS">
</p>
<p align="center">
  Golang SDK for <a href="https://fs.neo.org">NeoFS</a>
</p>

---
![Tests](https://github.com/nspcc-dev/neofs-api-go/workflows/neofs-api-go%20tests/badge.svg)
[![codecov](https://codecov.io/gh/nspcc-dev/neofs-api-go/branch/master/graph/badge.svg)](https://codecov.io/gh/nspcc-dev/neofs-api-go)
[![Report](https://goreportcard.com/badge/github.com/nspcc-dev/neofs-api-go)](https://goreportcard.com/report/github.com/nspcc-dev/neofs-api-go)
[![GitHub release](https://img.shields.io/github/release/nspcc-dev/neofs-api-go.svg)](https://github.com/nspcc-dev/neofs-api-go)
![GitHub license](https://img.shields.io/github/license/nspcc-dev/neofs-api-go.svg?style=popout)

# Overview

Go implementation of recent [NeoFS API](https://github.com/nspcc-dev/neofs-api)
versions and SDK layer working with all of them in a handy way.

## NeoFS-API compatibility

|neofs-api-go version|supported NeoFS-API versions|
|:------------------:|:--------------------------:|
|< v1.20.0 **(unsupported)**|up to v1.2.0|
|v1.20.x|[v2.0.2](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.0.2)|
|v1.21.x|[v2.1.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.1.0)|
|v1.22.x|[v2.2.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.2.0)|
|v1.23.x|[v2.3.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.3.0)|
|v1.24.x|[v2.4.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.4.0)|
|v1.25.x|[v2.5.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.5.0)|
|v1.26.x|[v2.6.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.6.0)|
|v1.27.x|[v2.7.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.7.0)|
|v1.28.x|[v2.8.0](https://github.com/nspcc-dev/neofs-api/releases/tag/v2.8.0)|


## Contributing

Feel free to contribute to this project after reading the [contributing
guidelines](CONTRIBUTING.md).

Before starting to work on a certain topic, create a new issue first, describing
the feature/topic you are going to implement.

## License

This project is licensed under the Apache 2.0 License -
see the [LICENSE](LICENSE) file for details
